import processing.serial.*; //imports the serial from processing
Serial myPort;  // Create object from Serial class


int x;
int y;

void setup() {

  size(500, 500); //canvas size 

  // List all the available serial ports
  println(Serial.list());

  //THEN count through the list beginning with 0 since it's an array, and find the serial port Arduino is using.
  // plug in the array index number below (My port is 5)

  String portName = Serial.list()[5];//connects the arduino port
  myPort = new Serial(this, portName, 9600);//making sure arduino and processing are on the right page
  myPort.bufferUntil('\n');
}

void draw() {
  x=mouseX;
  y=mouseY;   

  if (mousePressed) {
    myPort.write('a');
    stroke(0);
    strokeWeight(6);
    point(x, y);
  } else {    
    myPort.write('b');
  }
}