import processing.serial.*;

Serial myPort;        // The serial port
int xPos = 1;         // horizontal position of the graph
float inByte = 0;
float colorz;
String msg;  // to get list of ports

int x = 280;
int y = 400;
int w = 40;
color c = color(155, 0, 200);
int counter = 0;
PImage img1;
PImage img2;
PImage img3;

void setup () {
  // set the window size:
  size(375, 245);

  // List all the available serial ports
  println(Serial.list());

  //THEN count through the list beginning with 0 since it's an array, and find the serial port Arduino is using.
  // plug in the array index number below (My port is 5)

  myPort = new Serial(this, Serial.list()[5], 9600);
  myPort.bufferUntil('\n');
  //don't generate a serialEvent() unless you get a newline character:

  img1 = loadImage("1.jpg");
  img2 = loadImage("2.jpg");
  img3 = loadImage("3.jpg");
}


void draw() {
  background(c);
  if (inByte % 3== 0) {
    image(img1, 0, 0);
  } else if (inByte % 3== 1) {
    image(img2, 0, 0);
  } else if (inByte % 3== 2) {    
    image(img3, 0, 0);
  }
}


void serialEvent (Serial myPort) {
  // get the ASCII string:
  String inString = myPort.readStringUntil('\n');

  if (inString != null) {
    // trim off any whitespace:
    inString = trim(inString);
    // convert to an int and map to the screen height:
    inByte = int(inString);
    println(inByte);
  }
}